import { collection, query, where, limit, getDocs } from 'firebase/firestore';
import { d as db } from './firebase-C_9MAyfc.js';
import { e as error } from './index-CvuFLVuQ.js';
import 'firebase/app';
import 'firebase/auth';
import 'firebase/storage';
import './index2-CGXXJYvl.js';
import './utils-CddEWsFi.js';

const load = async ({ params }) => {
  const collectionRef = collection(db, "users");
  const q = query(
    collectionRef,
    where("username", "==", params.username),
    limit(1)
  );
  const snapshot = await getDocs(q);
  const exists = snapshot.docs[0]?.exists();
  const data = snapshot.docs[0]?.data();
  if (!exists) {
    throw error(404, "that user does not exists");
  }
  if (!data.published) {
    throw error(403, `The Profile of @${data.username} is not public!`);
  }
  return {
    username: data.username,
    photoURL: data.photoURL,
    bio: data.bio,
    links: data.links ?? []
  };
};

var _page_ts = /*#__PURE__*/Object.freeze({
  __proto__: null,
  load: load
});

const index = 4;
let component_cache;
const component = async () => component_cache ??= (await import('./_page.svelte-RXWHGWbA.js')).default;
const universal_id = "src/routes/[username]/+page.ts";
const imports = ["_app/immutable/nodes/4.sy23S-xo.js","_app/immutable/chunks/firebase.C_yV3Qq2.js","_app/immutable/chunks/index.C5Bva64b.js","_app/immutable/chunks/scheduler.DiDAw0dB.js","_app/immutable/chunks/entry.stKGTazM.js","_app/immutable/chunks/index.DtaVjF_F.js","_app/immutable/chunks/index.wNnKVtyO.js","_app/immutable/chunks/index.CvmYViMX.js","_app/immutable/chunks/index.Co41kChe.js"];
const stylesheets = ["_app/immutable/assets/4.Dshun4_c.css"];
const fonts = [];

export { component, fonts, imports, index, stylesheets, _page_ts as universal, universal_id };
//# sourceMappingURL=4-miUR-R9y.js.map
